<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}DM SCREEN{% endblock %}</title>
         {% block stylesheets %}
        <link rel="stylesheet" href="{{ asset('build/css/app.css') }}">
    {% endblock %}
    </head>

    <body class="bg-dark" >
    	
    	{# Navigation Bar #}
		  <nav class="navbar navbar-expand-md sticky-top navbar-dark bg-secondary p-1 ">
				
			<div class="collapse navbar-collapse order-1 order-md-0" id="navbarNavDropdown">
			    <ul class="navbar-nav">				    	
			      <li class="nav-item active">
			        <a class="navbar-brand" href="{{ path('initial') }}"><h3>DM Screen</h3></a>
			      </li>

			      {% if is_granted('ROLE_USER') %}  



			      <li class="nav-item dropdown">
			        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
			          Play </a>
			        <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">			         
			          <a class="dropdown-item" href="{{ path('dm_play') }}">Continue Campaign</a>		
			          <a class="dropdown-item" href="#">Join Campaign</a>						          
			        </div>
			      </li>

			      <li class="nav-item dropdown">
			        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
			          Create </a>
			        <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
			          <a class="dropdown-item" href="{{ path('char_new') }}">Character</a>
			          <a class="dropdown-item" href="#">Monster</a>		
			          <a class="dropdown-item" href="#">Map</a>
			          <a class="dropdown-item" href="#">Image</a>
			          <a class="dropdown-item" href="#">Item</a>				          
			        </div>
			      </li>

			      <li class="nav-item dropdown">
			        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
			          View </a>
			        <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
			          <a class="dropdown-item" href="{{ path('char_index') }}">Characters</a>
			          <a class="dropdown-item" href="#">Monster</a>		
			          <a class="dropdown-item" href="#">Map</a>
			          <a class="dropdown-item" href="#">Image</a>
			          <a class="dropdown-item" href="#">Item</a>				          
			        </div>
			      </li>



			      <li class="nav-item dropdown">
			        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
			          Import </a>
			        <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
			          <a class="dropdown-item" href="#">Character</a>
			          <a class="dropdown-item" href="#">Monster</a>		
			          <a class="dropdown-item" href="#">Map</a>
			          <a class="dropdown-item" href="#">Image</a>
			          <a class="dropdown-item" href="#">Item</a>				          
			        </div>
			      </li>

			      {% endif %}	
			   
			  	</ul>
		    </div>
			<div class="order-2 order-md-1">
				<ul class="navbar-nav px-3">
					{# <li class="nav-item">
			        	<a class="nav-link" href="{{ path('registration') }}">Register</a>
			      	</li> #}
			      	{% if not is_granted('ROLE_USER') %}
					<li class="nav-item text-nowrap">
			          <a class="nav-link" href="{{ path('security_login') }}">Login</a>
			      	</li>
			      	{% endif %}

				{% if is_granted('ROLE_USER') %}              
           
			      <li class="nav-item dropdown">
			        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">{{ app.user.fullName }}
			        </a>
			        <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
			          <a class="dropdown-item" href="{{ path('vallet') }}">Home</a>
			          <a class="dropdown-item" href="#">Profile</a>
			          <a class="dropdown-item" href="#">Preferences</a>
			          <a class="dropdown-item" href="{{ path('security_logout') }}">Logout</a>			          
			        </div>
			      </li>	

			    {% endif %}		

			    </ul>
			  </div>{# / right side #}
		  </nav>{# / Navigation Bar #}
		
	{# Page bellow Bar #}
		<div class="container-fluid">
		 			                                      
                    {% block body %}

			        {% endblock %}
			 
		</div> {# / container #}
    {# Page bellow Bar #}

    {% block javascripts %}
	    <script src="{{ asset('build/js/app.js') }}"></script>
	{% endblock %}

	<div class="row m-auto p-sm-4"></div>

<footer class="footer mt-auto py-3 fixed-bottom">
  <div class="container">
    <nav aria-label="breadcrumb-dark">
	  <ol class="breadcrumb">
	    <li class="breadcrumb-item"><a href="#">Home</a></li>
	    <li class="breadcrumb-item"><a href="#">Library</a></li>
	    <li class="breadcrumb-item active" aria-current="page">Data</li>
	    <li class="breadcrumb-item active"><small>all TSR visual content property of wizards of the coast</small></li>
	    <li class="breadcrumb-item active"><small>site developed by Rinocoder 2019</small></li>
	  </ol>	  
	</nav>
  </div>
</footer>

    </body>
</html>
